%define upstream_name    Object-Dependency
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Maintain a dependency graph
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module maintains a simple dependency graph. Items can be 'add'ed more
than once to note additional depenencies. Dependency relationships cannot
be removed except by removing objects entirely.

We do not currently check for cycles so please be careful!

Items are expected to be objects, but do not have to be. Objects are
identified by their refadd() so if you combine objects and other scalers,
there is some chance of a collision between large intetgers and the
refaddr(). The 'undef' value will cause warnings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-5.mga6
+ Revision: 1031411
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.410.0-4.mga6
+ Revision: 939784
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-3.mga5
+ Revision: 745987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.410.0-2.mga5
+ Revision: 685778
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.410.0-1.mga5
+ Revision: 614940
- update to 0.41

* Fri Oct 18 2013 umeabot <umeabot> 0.320.0-3.mga4
+ Revision: 513674
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 371092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 116552
- imported package perl-Object-Dependency


* Thu Jun 30 2011 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
